<?php
defined('BASEPATH') OR exit('No direct script access allowed');
class bug_fix2 extends CI_Controller {
 
    function __construct() {
    
        parent::__construct();
        
        $this->load->model('plugin_model');
        
        $this->data["active_languages"]=$this->language_model->languages()->result_array();
        
    }

    function change_status($status=0){
        $this->permission->check_permission("view");
        $this->permission->check_permission("edit");
        $this->permission->check_permission("add");
        
        $this->db->where("p_key","Bug_fix2")->update("plugin",array("status"=>$status));
        
        
        echo " <a href='/admin/plugin'>All Plugins</a>";
    }
    function index(){
		$this->permission->check_permission("view");
		$this->permission->check_permission("edit");
		$this->permission->check_permission("add");
    	
    	/// plugin Registration ///
    	$param["example"]=array(
    			"appId"=>" ",
    			"secret"=>" ",
    	);
    	
    	 $data=array(
    	 	
    	 		"title"=>"Bug_fix2 ",
    	 		"publisher"=>"Müslüm ÇEN",
    	 		"pub_email"=>"support@cart21.com",
    	 		"p_key"=>"bug_fix2", /// same as library file name
    	 		"content"=>"bug fixed on order adres insertion ",
    	 		"status"=>0,
    	 		"positional"=>0,
    	 		"plugin_type_id"=>8,
    	 		
    	 		"param"=> serialize($param)

    	 );
    	 ///
		$check_plugin=$this->db->where("p_key",$data["p_key"])->get("plugin");
		
		if($check_plugin->num_rows()==0 ){
    	 
			$this->db->insert("plugin",$data);
    	 	$plugin_id=$this->db->insert_id();
    	 	
    	 	echo "New plugin installed ! new files uploaded ";
		}else{
			//$this->db->where("p_key",$data["p_key"])->update("plugin",$data);
			
			if($check_plugin->row()->status<>0){
				echo "Please set plugin status closed then try again  <a href='/admin/plugin'>All Plugins</a>"; exit;
			}
			echo "Already installed ! new files uploaded ";
		}
		
		echo " <a href='/admin/plugin'>All Plugins</a>";
		/// plugin Registration ///
		
		
		$section_ids=array(21,14);
		/*/// SECTION INFO EXAMPLE ////
		
		$sections[]=array(
				"name"=>"task",
				"class"=>"task",
				"file_name"=>"task.php"
		);
		
		$sections[]=array(
				"name"=>"project",
				"class"=>"project",
				"file_name"=>"project.php"
		);
		
		//$section_ids=array();
		foreach($sections as $m){
			$check_sections=$this->db->get_where("permission_sections",array("name"=>$m["name"]));
			if(! $check_sections->num_rows() ){
		
				$this->db->insert("permission_sections",$m);
				$section_ids[]=$this->db->insert_id();
				echo "new section added";
			}else{
				$section_ids[]=$check_sections->row()->section_id;
				echo "new section already exist";
			}
		}
		
		//// SECTION INFO EXAMPLE ///*/
		
		
		/*/// META TYPE EXAMPLE ////
		
		$meta_type[]=array(
				"title"=>"galery",
				"table_name"=>"galery"
		);
		
		$meta_type[]=array(
				"title"=>"galery_image",
				"table_name"=>"galery_image"
		);
		
		foreach($meta_type as $m){
		
			if(! $this->db->get_where("meta_type",array("table_name"=>$m["table_name"]))->num_rows() ){
		
				$this->db->insert("meta_type",$m);
		
				echo "new meta_type added";
			}else{
				echo "new meta_type already exist";
			}
		}
		
		
		//// META TYPE EXAMPLE ///*/
		
		
		
		$meta_ids=array(9163,9143,9165);
		/*/// META EXAMPLE ////
		
		$meta_link[]=array(
				"title"=>"galery_view",
				"link"=>"galery_view",
				"class_routes"=>"galery_view",
				"language_id"=>$this->data["settings"]["front_language"],
				"type"=>1,
					
		);
		
		foreach($meta_link as $m){
		
			$check_meta=$this->db->get_where("meta",array("class_routes"=>$m["class_routes"]));
			if(! $check_meta->num_rows() ){
		
				$this->db->insert("meta",$m);
				$meta_id=$this->db->insert_id();
				$this->db->where("meta_id",$meta_id)->update("meta",array("m_id"=>$meta_id));
				$meta_ids[]=$meta_id;
				echo "<b> new meta added </b>";
			}else{
				$meta_ids[]=$check_meta->row()->m_id;
				echo "new meta already exist";
			}
		}
		
		//// META EXAMPLE ///*/
		
		
		/*//  LANGUAGE CONSTANT EXAMPLE ////
		/// general assign language  front  9184 /// admin 29
		$language_data[]=array(
				"key_val"=>$data["p_key"],
				"text_val"=>$data["title"],
				"language_id"=>language_id()
		);
		
		$language_data[]=array(
		    "key_val"=>"registered",
		    "text_val"=>"Kayıtlı",
		    "language_id"=>language_id()
		);
		$language_data[]=array(
		    "key_val"=>"individual",
		    "text_val"=>"Bireysel",
		    "language_id"=>language_id()
		);
		$language_data[]=array(
		    "key_val"=>"corporate",
		    "text_val"=>"Kurumsal",
		    "language_id"=>language_id()
		);
		$language_data[]=array(
		    "key_val"=>"address_type",
		    "text_val"=>"Adres Türü",
		    "language_id"=>language_id()
		);
		$language_data[]=array(
		    "key_val"=>"tax_name",
		    "text_val"=>"Vergi Dairesi",
		    "language_id"=>language_id()
		);
		$language_data[]=array(
		    "key_val"=>"tax_identity",
		    "text_val"=>"TC NO",
		    "language_id"=>language_id()
		);
		
		$language_data[]=array(
		    "key_val"=>"state",
		    "text_val"=>"Bölge",
		    "language_id"=>language_id()
		);
		
		$language_data[]=array(
		    "key_val"=>"continue_without_login",
		    "text_val"=>"Üyeliksiz Devam Et",
		    "language_id"=>language_id()
		);
		
		
		
		foreach($language_data as $l){
		    foreach($this->data["active_languages"]as $act_l){
    		    
		        $language_c_check=$this->language_model->language_c(	array("key_val"=>$l["key_val"],"language_id"=>$act_l["language_id"]) );
    			if(! $language_c_check->num_rows()){
    			    $l["language_id"]=$act_l["language_id"];
    				$this->db->insert("language_c",$l);
    				$language_c_id=$this->db->insert_id();
    		
    			}else{
    				$language_c_id=$language_c_check->row()->language_c_id;
    				
    			}
    			/// language_c assign ///
    			if(isset($section_ids) and  count($section_ids)>0){
    				foreach ($section_ids as $section_id){
    					$this->db->query("replace into language_c_to_section (language_c_id,section_id) values({$language_c_id},{$section_id}) ");
    				}
    			}
    			/// language_c assign ///
    			/// language_c assign page ///
    			if(isset($meta_ids) and  count($meta_ids)>0){
    				foreach ($meta_ids as $meta_id){
    					$this->db->query("replace into language_c_to_page (language_c_id,meta_id) values({$language_c_id},{$meta_id}) ");
    				}
    			}
    			/// language_c assign page ///
		    }
		}
		///  LANGUAGE CONSTANT EXAMPLE ///*/
		
		
		
		/*// CREATE TABLE EXAMPLE ///
		
		$this->db->query("CREATE TABLE IF NOT EXISTS `project` (
		`project_id` int(11) NOT NULL AUTO_INCREMENT,
		`title` varchar(25) CHARACTER SET utf8 NOT NULL DEFAULT '',
		`description` text,
		`date_added` int(11) DEFAULT NULL,
		`date_begin` int(11) DEFAULT NULL,
		`date_finish` int(11) DEFAULT NULL,
		`status` int(11) DEFAULT '1',
		`sort_order` int(11) DEFAULT NULL,
		PRIMARY KEY (`project_id`)
		) ENGINE=MyISAM  DEFAULT CHARSET=utf8 AUTO_INCREMENT=1;");
		
		
		if( $this->db->get("project")->num_rows()==0){
		$project[]=array("title"=>"Homework Project","color"=>"#607D8B");
		$project[]=array("title"=>"Website1 Design Project","color"=>"#009688");
		$project[]=array("title"=>"example.com Project","color"=>"#3F51B5");
		$project[]=array("title"=>"Design Project","color"=>"#795548");
		$project[]=array("title"=>"Reseach Project","color"=>"#E91E63");
			
		$this->db->insert_batch("project",$project);
		}
		/// CREATE TABLE EXAMPLE //*/
		
		
		
		/// NEW COLUMN FOR A TABLE EXAMPLE ///
		
		
		/// NEW COLUMN FOR A TABLE EXAMPLE ///
		
		
		
		
		
    }
    
}
